SubmittedFields (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields

## Enum SubmittedFields

- java.lang.Object
- - java.lang.Enum<SubmittedFields>
  - - org.gcube.application.aquamaps.aquamapsportlet.client.constants.fields.SubmittedFields

- All Implemented Interfaces:
    Serializable, Comparable<SubmittedFields>

      public enum SubmittedFields
      extends Enum<SubmittedFields>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `author`
    `endtime`
    `geoserverreference`
    `gisenabled`
    `gispublishedid`
    `isaquamap`
    `jobid`
    `saved`
    `searchid`
    `selectioncriteria`
    `serializedpath`
    `sourcehcaf`
    `sourcehspec`
    `sourcehspen`
    `starttime`
    `status`
    `submissiontime`
    `title`
    `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubmittedFields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SubmittedFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### title

          public static final SubmittedFields title

    - #### author

          public static final SubmittedFields author

    - #### jobid

          public static final SubmittedFields jobid

    - #### selectioncriteria

          public static final SubmittedFields selectioncriteria

    - #### status

          public static final SubmittedFields status

    - #### searchid

          public static final SubmittedFields searchid

    - #### type

          public static final SubmittedFields type

    - #### isaquamap

          public static final SubmittedFields isaquamap

    - #### saved

          public static final SubmittedFields saved

    - #### sourcehcaf

          public static final SubmittedFields sourcehcaf

    - #### sourcehspec

          public static final SubmittedFields sourcehspec

    - #### sourcehspen

          public static final SubmittedFields sourcehspen

    - #### gisenabled

          public static final SubmittedFields gisenabled

    - #### gispublishedid

          public static final SubmittedFields gispublishedid

    - #### geoserverreference

          public static final SubmittedFields geoserverreference

    - #### starttime

          public static final SubmittedFields starttime

    - #### endtime

          public static final SubmittedFields endtime

    - #### submissiontime

          public static final SubmittedFields submissiontime

    - #### serializedpath

          public static final SubmittedFields serializedpath

  - ### Method Detail

    - #### values

          public static SubmittedFields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubmittedFields c : SubmittedFields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubmittedFields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.